import { Worker } from 'node:worker_threads';
import { WorkerMessage } from './worker-task.js';
type WorkerCallback<T> = (worker: Worker) => T;
type CleanupCallback = () => void;
type EffectCallback = WorkerCallback<CleanupCallback>;
/**
 * Start scanning of given repository in a separate thread
 * - Keeps progress-logger up-to-date via onMessage
 */
declare function scanRepository(repository: string, onMessage: (message: WorkerMessage) => void, workerCallback: EffectCallback): Promise<void>;
declare const _default: {
    scanRepository: typeof scanRepository;
};
export default _default;
//# sourceMappingURL=engine.d.ts.map