export interface RepositoryClientOptions {
    repository: string;
    onClone: () => void;
    onCloneFailure: () => void;
    onPull: () => void;
    onPullFailure: () => void;
}
/**
 * Clone or pull latest of given repository
 */
export declare function cloneRepository({ repository, onClone, onCloneFailure, onPull, onPullFailure, }: RepositoryClientOptions): Promise<void>;
/**
 * Remove repository from the cache
 */
export declare function removeCachedRepository(repository: string): Promise<void>;
/**
 * Get status of cache. Includes count of cached repositories and location of the cache.
 */
export declare function getCacheStatus(): {
    countOfRepositories: number;
    location: string;
};
//# sourceMappingURL=repository-client.d.ts.map